### Method

# Adw Carouselset_reveal_duration

#### Declaration [src]

    void
    adw_carousel_set_reveal_duration (
      AdwCarousel* self,
      guint reveal_duration
    )

#### Description [src]

Sets the page reveal duration, in milliseconds.

Reveal duration is used when animating adding or removing pages.

Sets property | `Adw.Carousel:reveal-duration`

#### Parameters

`reveal_duration`

  Type: `guint`

  The new reveal duration value.